Page MenuHomePhabricator

Request Latin-Cyrillic converter for Romanian wikis
Closed, DeclinedPublic

Description

As we can see in Meta-Wiki Proposals for closing projects/Deletion of Moldovan Wikipedia 2:

  1. Strong Oppose. I really think that it should be open again. Lets have 2 projects: 1 in latin script, 1 in Cyrillic. Ilya Drakonov (talk) 17:28, 16 February 2016 (UTC).

@Илья Драконов: We have Kazakh, Serbian, Tajik, and Uzbek Wikipedias that have latn-cyrl language converter systems. --Liuxinyu970226 (talk) 02:29, 22 February 2016 (UTC)
@Liuxinyu970226: I tested the above conversion systems that you mentioned:
Kazakh (kk) Wikipedia: works for (i) kk-cyrl → kk-latin, and (ii) kk-cyrl → kk-Arabic but it does not work for kk-latin → kk-cyrl , kk-latin → kk-Arabic , and kk-Arabic → kk-Cyrl (see demo.).
Tajik (tg) Wikipedia: works for tg-cyrl → tg-latin but not for tg-latin → tg-cyrl
Serbian (sr) Wikipedia: works for sr-cyrl → sr-latin but not for sr-latin → sr-cyrl
Uzbek (uz) Wikipedia: works for uz-latin → uz-cyrl AND from uz-cyrl → uz-latin (see demonstration)
Chinese (zh) Wikipedia: works for zh-trad. → zh-simpl. AND from zh-simpl. → zh-trad. (demo). All users are allowed to both create and edit articles using Traditional Chinese characters or Simplified Chinese characters.
The following criteria would need to be satisfied before deleting Moldovan Wikipedia:
The community on Romanian Wikipedia vote by majority consensus to allow a Romanian latin → Moldovan Cyrillic conversion tool to be implemented on ro.wikipedia.org. From previous discussions, there were hints that some Romanian users could oppose such a move.
Moldovan users living in Transnistria, Moldova or any other location be allowed to create new articles and edit existing articles on ro.wikipedia using the Moldovan Cyrillic alphabet (similar to the systems adopted for Uzbek and Chinese Wikipedia). Please also note this is referring to the Moldovan Cyrillic alphabet and not the Romanian Cyrillic alphabet. (At present, try creating a Moldovan Cyrillic article or inserting Moldovan Cyrillic text on Romanian Wikipedia and see what happens........)
A conversion tool is created and enabled on ro.wikipedia which enables both Romanian Latin → Moldovan Cyrillic AND Moldovan Cyrillic → Romanian Latin.
A Transnistrian has stated that Moldovan Cyrillic is still used in Transnistria (view the Moldovan Cyrillic website). Hence they should be allowed to view and edit articles in Moldovan Cyrillic. --Ernesztina (talk) 02:07, 23 November 2016 (UTC)

  1. Oppose. If Moldovan language is Romanian, it is necessary to make converter latn-cyrl. But nobody does it. --Danvintius Bookix (talk) 10:00, 18 September 2016 (UTC)
  1. Oppose. Preserve the closed Moldovan Wikipedia indefinitely for now. There have been some civility issues about Romanian Wikipedia, seen in an RFC case discussion. I don't think deleting those articles and/or moving them into Romanian Wikipedia would resolve those disputes at the Romanian one. Also, from what I've read, Moldova and Romania have historical tensions between them. --George Ho (talk) 01:56, 26 April 2017 (UTC)

@George Ho: Sovereignty problems should never be a reason to keep a really gibberish wiki for purposes of only one country (otherwise, why we can't limit Czech Wikipedia to write articles only about Czech Republic?), also if you kept an eye on mw:Writing systems, you will also believe that combining different scripts of a language on any of wikis can however resolve many conflicts of interests between different nationalities. --Liuxinyu970226 (talk) 12:35, 7 May 2017 (UTC)
......I hate to admit that you have a point here, and I hope you are right that merging Moldovan script with Romanian one won't lead to problems. I wonder how influential Wikimedia is to Romania and Moldova. --George Ho (talk) 13:09, 7 May 2017 (UTC)
Also, w:Romanian Cyrillic alphabet (before 19th century) and w:Moldovan Cyrillic alphabet... I don't know. The Old Romanian Cyrillic alphabet used some older, obscure alphabets, while the Moldovan language does not. But that doesn't make current Romanian language and Moldovan language similar or different from each other, right? --George Ho (talk) 13:22, 7 May 2017 (UTC)

Language converter support proposal
İf this project is deleted, can you implement on rowiki an optional converter tab much like on srwiki for users who wish to read or edit in Cyrillic, to enable on each user’s preferences? Thanks! --Josep Maria Roca Peña (talk) 09:36, 5 February 2016 (UTC)
I've documented at Wikipedias in multiple writing systems#Romanian Wikipedia. --Liuxinyu970226 (talk) 03:00, 6 October 2016 (UTC)

and other concerns.

For decades I'm still wondering why can't we do something on this panorama? Isn't it be worth for Transnistrian users to add a converter so they can feel free to edit Romanian wikis without external services?

Event Timeline

Restricted Application added a subscriber: Cosine02. · View Herald TranscriptJul 2 2017, 12:25 AM
Liuxinyu970226 raised the priority of this task from Normal to Needs Triage.Jul 2 2017, 12:25 AM
Liuxinyu970226 updated the task description. (Show Details)

reset priority

Koavf added a subscriber: Koavf.Jul 2 2017, 1:30 AM

E.g. Ladino is a language with a much smaller userbase and which have much smaller uses of a certain script which is very difficult to auto-convert. Conversion between Cyrillic and Latin is trivial and already well-tested. If a majority of the community doesn't want/use it, that's fine--they can ignore it.

Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 added a subscriber: gh87.
gh87 added a comment.Jul 6 2017, 11:49 PM

E.g. Ladino is a language with a much smaller userbase and which have much smaller uses of a certain script which is very difficult to auto-convert. Conversion between Cyrillic and Latin is trivial and already well-tested. If a majority of the community doesn't want/use it, that's fine--they can ignore it.

I'm unsure whether I can agree that the conversion is "trivial". First, Romanians shifted from Cyrillic script to Latin one long time ago. That was a historical change. Second, what about keyboards in Romania? Well, I don't know much about computer usage in Romania. Therefore, I informed one of rowiki admins about this.

Silenzio76 added a subscriber: Silenzio76.EditedJul 7 2017, 11:21 AM

Only someone who doesn't understand absolutely anything, but anything, about Romanian history or culture could come with such ideas.

@Silenzio76: There is no reason to be confrontational. Please criticize ideas, not people.
If you do not wish to contribute in a positive way to this discussion, I suggest you spend your time on other topics. Thank you for your understanding.

I apologise, but I just criticized the idea, such idea could be generated by ignorance only (same message using other words). Of course that I oppose such idea and I cannot find any way of being positive about it, as the idea itself is an offense to intellect. Romanian it is one of the most similar language to Latin and some wants to write it in Cyrillic, in the third millennium. In other words to send us back to the dark ages. Then lets write Italian, Spanish, French etc in Cyrillic, as well. Ups, Italy, Spain and France are farther away from Russia, then are safe of Slavic propaganda ...

Koavf added a comment.Jul 7 2017, 5:13 PM

I apologise, but I just criticized the idea, such idea could be generated by ignorance only (same message using other words). Of course that I oppose such idea and I cannot find any way of being positive about it, as the idea itself is an offense to intellect. Romanian it is one of the most similar language to Latin and some wants to write it in Cyrillic, in the third millennium. In other words to send us back to the dark ages. Then lets write Italian, Spanish, French etc in Cyrillic, as well. Ups, Italy, Spain and France are farther away from Russia, then are safe of Slavic propaganda ...

Silenzio, I don't even doubt that Cyrillizing Romanian is an attempt by Russia to interfere with internal Moldovan politics but that doesn't change the fact that there are Romanian speakers who write their language with Cyrillic. They will continue to do so whether we support it or not. The question should be when we should offer script support for a community of writers of a certain language.

Strainu closed this task as Declined.Jul 7 2017, 5:35 PM
Strainu added a subscriber: Strainu.

This is a site request that cannot be approved without cleat consensus obtained on the Romanian wikis first, and not on meta or here. I suggest you open a discussion on the Romanian Wikipedia and invite participation from the rest of the projects if you are really serious about pushing this.

I am personally strongly opposed to the idea. As long as the before mentioned speakers do not even admit they speak Romanian, I don't see how sending them to ro.wp would be acceptable to them. We recently had a vandal cursing us all over ro.wp because the Russian version of the WLEMD list was on ro.wp, so I expect much vandalism to come from such a translator.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 7 2017, 5:35 PM
Aklapper added a comment.EditedJul 7 2017, 5:53 PM

@Silenzio76: I ask you a second and also last time: Either discuss an idea in a respectful and constructive way without accusing other community members of random intentions, or potentially get your Phabricator account disabled. Thanks.

I don't know Romanian, but maybe someone could try to use a user script to play with this:
https://en.wikipedia.org/wiki/Wikipedia:WikiProject_User_scripts/Scripts/Language_Converter